Newton package needs to bump dependency on python-pecan

Bug #1668578 reported by Dr. Jens Harbott on 2017-02-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
Medium
Unassigned
Yakkety
Medium
Unassigned

Bug Description

[Impact]

When installing neutron from the Newton UCA the following traceback occurs:

    def set_quota_usage_dirty(context, resource, tenant_id, dirty=True):
  File "/usr/lib/python2.7/dist-packages/neutron/db/api.py", line 144, in decorator
    ctx_arg_index = p_util.getargspec(f).args.index(context_var_name)
  File "/usr/lib/python2.7/dist-packages/pecan/util.py", line 44, in getargspec
    reverse=True
  File "/usr/lib/python2.7/dist-packages/pecan/util.py", line 43, in <lambda>
    key=lambda c: 'self' in c.cell_contents.__code__.co_varnames,
AttributeError: '_TransactionContextManager' object has no attribute '__code__'

This is due to a older version of python-pecan being required for neutron to install properly.

[Test Case]
Install neutron with a newer version of pecan and see if the traceback still occurs.

[Regression potential]
None since newer versions of neutron will have the same issue. When newer pecan versions are installed.

Dr. Jens Harbott (j-harbott) wrote :

Upstream says

global-requirements.txt:pecan>=1.0.0,!=1.0.2,!=1.0.3,!=1.0.4 # BSD
upper-constraints.txt:pecan===1.1.2

while python-neutron only has

Depends: python-pecan (>= 1.0.0)

Chuck Short (zulcss) on 2017-03-09
description: updated
Brian Murray (brian-murray) wrote :

This doesn't seem to be fixed in Zesty yet.

(zesty-amd64)root@impulse:/home/bdmurray# apt-cache showsrc neutron
Package: neutron
Binary: neutron-server, neutron-common, neutron-l3-agent, neutron-dhcp-agent, neutron-metadata-agent, python-neutron, neutron-plugin-ml2, neutron-openvswitch-agent, neutron-plugin-openvswitch-agent, neutron-linuxbridge-agent, neutron-plugin-linuxbridge-agent, neutron-metering-agent, neutron-sriov-agent, neutron-plugin-sriov-agent, neutron-macvtap-agent
Version: 2:10.0.0-0ubuntu1
Priority: optional
Section: net
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Chuck Short <email address hidden>
Build-Depends: debhelper (>= 9), dh-python, dh-systemd, openstack-pkg-tools (>= 23~), python-all, python-pbr (>= 1.8), python-setuptools, python-sphinx
Build-Depends-Indep: python-alembic (>= 0.8.4), python-coverage (>= 4.0), python-ddt (>= 1.0.1), python-debtcollector (>= 1.2.0), python-designateclient (>= 1.5.0), python-eventlet (>= 0.18.2), python-fixtures (>= 3.0.0), python-hacking (>= 0.12.0), python-httplib2 (>= 0.7.5), python-jinja2 (>= 2.8), python-keystoneauth1 (>= 2.17.0), python-keystonemiddleware (>= 4.12.0), python-mock (>= 2.0), python-pymysql (>= 0.7.6), python-netaddr (>= 0.7.13), python-netifaces (>= 0.10.4), python-neutron-lib (>= 1.1.0), python-neutronclient (>= 1:5.1.0), python-novaclient (>= 2:2.29.0), python-os-testr (>= 0.8.0), python-oslo.cache (>= 1.5.0), python-oslo.concurrency (>= 3.8.0), python-oslo.config (>= 1:3.14.0), python-oslo.context (>= 2.9.0), python-oslo.db (>= 4.15.0), python-oslo.i18n (>= 2.1.0), python-oslo.log (>= 3.11.0), python-oslo.messaging (>= 5.14.0), python-oslo.middleware (>= 3.0.0), python-oslo.policy (>= 1.17.0), python-oslo.privsep (>= 1.9.0), python-oslo.reports (>= 0.6.0), python-oslo.rootwrap (>= 5.0.0), python-oslo.serialization (>= 1.10.0), python-oslo.service (>= 1.10.0), python-oslo.utils (>= 3.18.0), python-oslo.versionedobjects (>= 1.17.0), python-oslosphinx (>= 4.7.0), python-oslotest (>= 1.10.0), python-osprofiler (>= 1.4.0), python-openvswitch (>= 2.6.1), python-paste, python-pastedeploy (>= 1.5.0), python-pecan (>= 1.0.0)

Changed in neutron (Ubuntu Yakkety):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:10.0.0-0ubuntu2

---------------
neutron (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * d/control: Bump minimum pecan version to 1.1.2 (LP: #1668578).

 -- James Page <email address hidden> Wed, 15 Mar 2017 10:39:34 +0000

Changed in neutron (Ubuntu):
status: New → Fix Released
James Page (james-page) wrote :

Fixed in zesty - ready for SRU team review again.

Changed in neutron (Ubuntu Yakkety):
status: Incomplete → Triaged
importance: Undecided → Medium
Changed in neutron (Ubuntu):
importance: Undecided → Medium

Hello Dr., or anyone else affected,

Accepted neutron into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:9.2.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Yakkety):
status: Triaged → Fix Committed
tags: added: verification-needed
James Page (james-page) wrote :

Confirmed versioned dependency on newer package version:

python-pecan (>= 1.1.2)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:9.2.0-0ubuntu1

---------------
neutron (2:9.2.0-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/tests-db.patch: Specify a db path for tests.
  * New upstream point release for Openstack Newton (LP: #1664306).
  * d/control: Bump python-pecan version. (LP: #1668578)

  [ Corey Bryant ]
  * d/tests/control: Use needs-recommends to ensure neutron-plugin-ml2 is
    installed.

 -- Corey Bryant <email address hidden> Mon, 06 Mar 2017 10:02:38 -0500

Changed in neutron (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers